Subject: Re: bug#63666: sporadic “guix substitute: error: connect*: Connection timed out”

From: Simon Tournier <[email-masked]>
Date: Tue, 23 May 2023 18:16:20 +0200

Hi,

On Tue, 23 May 2023 at 17:14, Simon Tournier <[email-masked]> wrote:

> The most recent failure uses 3f59fd6 (pulled on May 23) with:
>
>         $ /root/.config/guix/current/bin/guix-daemon --version
>         guix-daemon (GNU Guix) 1.3.0-31.3170843

Just in case, using recent guix-daemon as 3f59fd6, I see:

--8<---------------cut here---------------start------------->8---
 gumbo-parser-0.10.1  149KiB                                                                                                                                                                       555KiB/s 00:00 ▕██████████████████▏ 100.0%
 cups-minimal-2.4.2  4.9MiB                                                                                                                                                                        533KiB/s 00:03 ▕█████▎            ▏  29.2%guix substitute: warning: while fetching https://ci.guix.gnu.org/nar/lzip/mcdi162f45smrgvjmm3vldx2i1xhz0x5-iso-codes-4.5.0: server is somewhat slow
guix substitute: warning: try `--no-substitutes' if the problem persists
retrying download of '/gnu/store/mcdi162f45smrgvjmm3vldx2i1xhz0x5-iso-codes-4.5.0' with other substitute URLs...
--8<---------------cut here---------------end--------------->8---

And I do not know which other substitute URLs are since I pass the
option ’--substitute-urls=https://ci.guix.gnu.org’; both to guix-daemon
and to “guix shell”.

Last, I start to see the progress bar, then something happens and I only
see this:

--8<---------------cut here---------------start------------->8---
substitution of /gnu/store/6r4brvchlkbbqx2n2iz2p6i2ki78zfp2-kexec-tools-2.0.23 complete

substitution of /gnu/store/rfx142plc19c12mcfk86a8ff0c7bpch0-lame-3.100 complete

substitution of /gnu/store/65rbvsb9fyx74ff1sjnar1bp8qif7k07-libaacs-0.11.0 complete
--8<---------------cut here---------------end--------------->8---

No more progress bars.

Cheers,
simon